import * as crypto from 'crypto';
export declare namespace ResourceNaming {
    enum NamingType {
        DEFAULT = 0,
        AUTO = 1,
        CUSTOM = 2
    }
    interface AutoNaming {
        readonly type: NamingType.AUTO;
    }
    interface DefaultNaming {
        readonly type: NamingType.DEFAULT;
    }
    function createRandomString(value: crypto.BinaryLike, length?: number): string;
    function naming(autoNaming: {
        [p: string]: string;
    }, resourceNaming?: NamingOptions): {
        names: {
            [k: string]: string | undefined;
        };
    };
}
interface NamingOptions {
    readonly naming: ResourceNaming.AutoNaming | ResourceNaming.DefaultNaming | {
        readonly type: ResourceNaming.NamingType.CUSTOM;
        readonly names: {
            [key: string]: string;
        };
    };
}
export {};
